import 'package:flutter/material.dart';
import 'package:flutter_helper/src/Views/ImageHero.dart';

class NavigatorUtil {

  Widget buildImageHero(String photo, BuildContext context) {
    return ImageHero(width: 100, photo: photo, onTap: () {
      navigate(context, ImageHero(
          photo: photo,
          onTap: () {
            fullPop(context);
          }
      ));
    });
  }

  void navigate(BuildContext context, dynamic object) {
    Navigator.of(context).push(MaterialPageRoute(builder: (context) {
      return object;
    }));
  }

  void pop(BuildContext context) {
    Navigator.of(context).pop();
  }

  void fullPop(BuildContext context) {
    Navigator.of(context).popUntil(ModalRoute.withName(Navigator.defaultRouteName));
  }

}